Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 499964 - Push SUMO 1.2 release on Thursday June 25
: Push SUMO 1.2 release on Thursday June 25
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Shyam Mani [:fox2mike]
: matthew zeier [:mrz]
Depends on: 499963
  Show dependency treegraph
Reported: 2009-06-23 09:33 PDT by Laura Thomson :laura
Modified: 2013-10-09 10:29 PDT (History)
8 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Description Laura Thomson :laura 2009-06-23 09:33:22 PDT
This is the metrics dashboard release.

You will need to have Kettle set up in production (bug 499963).  

There is a tag coming, and a bunch of SQL to be run.
Comment 1 Shyam Mani [:fox2mike] 2009-06-25 11:28:55 PDT
Instructions for the push,

1) Download the requested version off Sourceforge, current one we're using is 3.2.0 (pdi-ce-3.2.0-stable.tar.gz) and extract to /opt/pentaho/ (create if needed). At the end of this you should have a folder /opt/pentaho/data-integration/ with a bunch of files and directories.
2) Make sure the .sh files inside data-integration are executable.
3) Make sure the machine has jdk-1.6 or above. Install if needed.
4) Get the entire scripts/metrics directory from svn ( and put it into /opt/sumo/metrics/
5) If kettle will run as a non-root user, create the user. For example, kettleuser.
6) In the user's home directory : 
mkdir /home/kettleuser/.kettle
cp /opt/sumo/metrics/ /home/kettleuser/.kettle/
7) Edit the and provide the required database values (servernames/IP addresses/usernames and passwords)
8) At this point, you should be ready to run the ./ script with the required parameters and things should just magically work :D 

Also need to check on the various DB perms.
Comment 2 Laura Thomson :laura 2009-06-25 14:13:29 PDT
The tag is:
Comment 3 Matthew Middleton (:zzxc) 2009-06-25 14:22:10 PDT
The SQL in needs to be run on production before the push.
Comment 4 Paul Craciunoiu [:paulc] 2009-06-25 14:45:26 PDT
The SQL in
(bug 500008) also needs to be run on production before the push
Comment 5 [:Cww] 2009-06-25 15:50:55 PDT
We have two mysql users in

The first user (the user with permissions on the data warehouse) needs
INSERT/UDPATE/DROP/CREATE access to the data warehouse for the _initialization
steps_.  You can reduce it to just INSERT/UPDATE/DELETE after running the bits for the first time.

The second user (with permissions on the tiki database) ONLY needs SELECT
permissions on the tiki database.  Even though these are scripts so there's no
risk of external malicious injection, it's better safe than sorry.

the /opt/pentaho/data-integration/ scripts with parameters MUST be
run from the /opt/pentaho/data-integration/ folder and as the appropriate user
(kettleuser).  So when cronjobbing it, make sure to cd first and make sure to
sudo su kettleuser before doing the initializing.  Otherwise you get all sorts
of weird errors.
Comment 6 [:Cww] 2009-06-25 16:01:10 PDT
Oh and I wanted to add steps to comment #1:

6.1) create the database that will be used for the data warehouse having the schema/importing the data in /sumo/metrics/dwschema
6.2) create user with appropriate permissions (INSERT/UDPATE/DROP/CREATE) with access to this DB.

9) Reduce permissions for user created in 6.2 to INSERT/UPDATE (if needed)
10) cronjob cd /opt/pentaho/data-integration/; ./ -norep -file /opt/sumo/metrics/j_sumo_etl.kjb for every night at 4 AM.
Comment 7 [:Cww] 2009-06-25 16:03:07 PDT
Man, I'm so tired I completely forgot I'd filed bug 499963 with essentially those steps.  Can't brain today.
Comment 8 Shyam Mani [:fox2mike] 2009-06-25 23:32:13 PDT
Okay, all done. Thanks Dave, Reed, Trevor, Laura, Cheng and anyone else I inadventently missed out :)

Cron has been setup for kettleuser to run at 4am PDT everyday.
Comment 9 Stephen Donner [:stephend] 2009-06-25 23:41:09 PDT
Post-production push, I verified bug 480587, bug 499031, and bug 497461; Laura verified bug 458642 and bug 444701.

Additionally (and most importantly), is up and displaying data from its SQL query.

Verified FIXED; SUMO 1.2 is deployed!  (Big thanks to all!)

Note You need to log in before you can comment on or make changes to this bug.